# Prefixed envvar

[![][build-img]][build]
[![][coverage-img]][coverage]
[![][dependencies-img]][dependencies]
[![][devdependencies-img]][devdependencies]
[![][module-img]][module]

[![][npm-img]][npm]

Attempts to get an environment variable with a prefix and then, if there isn't, attemps to get without it.

[build]:     https://travis-ci.org/tallesl/prefixed-envvar
[build-img]: https://travis-ci.org/tallesl/prefixed-envvar.png

[coverage]:     https://coveralls.io/r/tallesl/prefixed-envvar?branch=master
[coverage-img]: https://coveralls.io/repos/tallesl/prefixed-envvar/badge.png?branch=master

[dependencies]:     https://david-dm.org/tallesl/prefixed-envvar
[dependencies-img]: https://david-dm.org/tallesl/prefixed-envvar.png

[devdependencies]:     https://david-dm.org/tallesl/prefixed-envvar#info=devDependencies
[devdependencies-img]: https://david-dm.org/tallesl/prefixed-envvar/dev-status.png

[module]:     http://badge.fury.io/js/prefixed-envvar
[module-img]: https://badge.fury.io/js/prefixed-envvar.png

[npm]:     https://nodei.co/npm/prefixed-envvar
[npm-img]: https://nodei.co/npm/prefixed-envvar.png?mini=true

## Usage

```js
$ npm install prefixed-envvar
prefixed-envvar@1.0.0 node_modules/prefixed-envvar
$ node
> var prefixedEnvvar = require('prefixed-envvar')
null
> prefixedEnvvar('MYAPP', 'PORT') // attempts to get MYAPP_PORT then, if doesn't exist, attempts to get PORT
8080
```
