var env              = process.env
  , InvalidArguments = require('./invalid-arguments')
  , util             = require('util')

module.exports = function () {

  if (arguments.length === 1) return env[arguments[0]]

  var args   = Array.prototype.slice.call(arguments)
    , prefix = args[0]
    , envvar = args[1]

  if (typeof prefix === 'string' && typeof envvar === 'string') {
    
    var prefixed = util.format('%s_%s', prefix, envvar)
    return env[prefixed] || env[envvar] || null
    
  } else throw new InvalidArguments(args)

}
